> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 assets



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/assets
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/assets:
    get:
      summary: Get API public v1 assets
      operationId: get-api-public-v1-assets
      parameters:
        - description: Return only assets listed on 2+ venues
          explode: false
          in: query
          name: crossMarketOnly
          schema:
            description: Return only assets listed on 2+ venues
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssetsBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    GetAssetsBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/GetAssetsBody.json
          format: uri
          readOnly: true
          type: string
        assets:
          items:
            $ref: '#/components/schemas/CrossMarketAsset'
          type:
            - array
            - 'null'
        count:
          format: int64
          type: integer
        crossMarketCount:
          format: int64
          type: integer
        venues:
          items:
            type: string
          type:
            - array
            - 'null'
      required:
        - count
        - crossMarketCount
        - venues
        - assets
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    CrossMarketAsset:
      additionalProperties: false
      properties:
        canonical:
          type: string
        crossMarket:
          type: boolean
        synonyms:
          items:
            type: string
          type:
            - array
            - 'null'
        totalOpenInterest:
          format: double
          type: number
        totalPositions:
          format: int64
          type: integer
        totalVolume24h:
          format: double
          type: number
        venueCount:
          format: int64
          type: integer
        venues:
          items:
            $ref: '#/components/schemas/AssetVenueSummary'
          type:
            - array
            - 'null'
      required:
        - canonical
        - synonyms
        - venues
        - crossMarket
        - venueCount
        - totalOpenInterest
        - totalPositions
        - totalVolume24h
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    AssetVenueSummary:
      additionalProperties: false
      properties:
        collateral:
          type: string
        dex:
          type: string
        fundingRate:
          format: double
          type: number
        isSynonym:
          type: boolean
        markPx:
          format: double
          type: number
        openInterest:
          format: double
          type: number
        positions:
          format: int64
          type: integer
        symbol:
          type: string
        ticker:
          type: string
        volume24h:
          format: double
          type: number
      required:
        - dex
        - symbol
        - ticker
        - isSynonym
        - collateral
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````